Pistis
API referenceSessions

List the models you may pick

GET
/models

Authorization

bearer
headerAuthorizationBearer <token>

An API token

Response Body

Models

application/json
  1. response
items*array<>
default?string

What a new session gets; absent while no provider has a key

Example Request
curl -X GET 'http://127.0.0.1:7777/models'
Example Response
{  "items": [    {      "id": "string",      "name": "string",      "contextWindow": 0,      "thinking": [        "off"      ],      "cost": {        "input": 0,        "output": 0      }    }  ],  "default": "string"}